*** New features of GHOST ***

Version 5.0e (7-8-98)
Fixed abort with Broken Fat Cluster Run.
Bad sector verify now works disk to disk.
Fixed Abort 19503 and more likely to detect large disks correctly and to evaluate the number of cylinders more accurately.
Fixed incorrect partition resizing occasionally resulted in an Error 1234 "not enough space on destination drive".
Now detects more than one tape drive. 
Improved handling of more than 10 partitions.
-FX now works under Windows.
Arrows and hot keys now supported by the option menu.
Binding under NT now works.
Fixed "Source image file on target partition" error.
New abort code 10155 when image requires a later version of GHOST to restore.
Now able to reload an image all partition (IA) back to the original partition without using the -OR switch.
GHOST checks to ensure that even when -OR is used, partition boundaries are not overwritten.
GHOST will now abort when restoring an NTFS partition with the no write flag (-FNW) or with WRITE=n in environment file. Previously, this caused a '(27049) NTFS Error: Cannot read FILE_BITMAP MFT entry' error. The new error code is 20107.
Fixed bug with -FCR switch not reporting long file names.
-SKIP=filename to skip a file on a dump. Eg -SKIP=BIGFILE.TMP will skip BIGFILE.TMP when creating an image. Wildcards and multiple -SKIPs are not yet supported.
-BFC=x bad sector verify switch now specifies the maximum number of bad sectors before abort. The default value, when used, is 500.
CDROM drives now detected as CD and not network drives.
-DL=x switch specifies the the highest slot for fixed disk detection (where x is between 128 and 255). Previously, slots 128 through 255 were searched. Now GHOST only searches slots between 128 and 146. This change is due to a problem where some Phoenix BIOS based systems were hanging when querying slots 147 and above. This switch will therefore have two uses - firstly if hard drives on your system are not being detected try -DL=255 (i.e. query all slots); secondly if GHOST hangs while detecting hard drives (immediately after starting GHOST) try -DL with a value less than 146. A value of {128+your number of fixed disks} should work in this scenario.
-FFG switch to override the detection of attempts to write beyond a disk's capacity. Useful when geometry detection has detected a drive to be smaller than it actually is.
-FFD switch to disable the use of the the BIOS IDE FDPT (Fixed Disk Parameter Table) during disk geometry detection and calculation. Some machines’ BIOS contain the ability to select which of the available IDE drives will be used to boot the system. When this BIOS feature is used, it may interfere with GHOST’s geometry detection. Use this switch to work around incorrect disk geometry encountered in GHOST when the system has been booted from a second or subsequent IDE drive.
-FFF switch to force the use of the BIOS IDE FDPT (Fixed Disk Parameter Table) during geometry detection and calculation. When machines have both SCSI and IDE drives installed, the GHOST geometry detection may be unable to differentiate between the SCSI and IDE drives installed. This switch can be used when problems are experienced when both IDE and SCSI drives are installed on the machine, and should only be used when booting from an IDE drive.
-DWB switch to disable image file write buffering. Useful when experiencing difficulties, including slow speed, writing to an image file on a mapped network drive.
-DRB switch to disable image file read buffering.  Useful when experiencing difficulties, including slow speed, reading from an image file on a mapped network drive.
Multicast TCP/IP improvements including:
 Improved DHCP support
 Fixed Fragmented Packets support
 Improved Fragmented IP Packet reassembly performance
 Token Ring Bridge support
 Token Ring Router support (Router must support Multicast Packets)
Windows 95 users:
Please note an updated version of WINSOCK 2 is now available and can be downloaded from:
http://www.microsoft.com/windows/downloads/bin/W95ws2setup.exe

Version 5.0d (5-14-98)
Speed improvements.
Improved diagnostic reporting.
-WD- switch to turn off Disk Write caching.
-WS- switch to turn off Disk Read caching.
-VER switch displays GHOST version number.
Improved disk geometry detection.
Fixed "Invalid System Disk" reported on some systems cloned with previous versions.
Fixed a number of NTFS problems present in previous versions.
Fixed "Not Enough Room for Device Headers" during peer to peer spanned dumps to removable media.
Fixed the 10060 error when re-inserting the first portion of a spanned image.
Fixed -F64 switch which was not always operating correctly.
Fixed "Bad source blocks..." error while Multicasting.
Multiple binds no longer cause Processor Exception 14 errors.

Version 5.0c (5-6-98)
Fixed Processor Exception 0 error.

Version 5.0b (4-30-98)
More extensive online help (GHOST.EXE -h).
No longer creates 0 length temporary files.
Fixed incorrect reporting of disk details with SCSI and IDE drives.
Fixed occasional Processor Exception 14 errors when using the file requester.
Fixed slow image file creation when the -SPAN or -SPLIT switches were used.
Fixed occasional loss of Enter key support when mouse was used.
Fix for peer to peer operations when number of heads differs between drives.
Fixed default Error Log generation when exiting GHOST.
Fixed limitation where all previous versions of GHOST could not detect free space > 2GIG.
Fixed Processor Exceptions when Multicasting over Token Ring.
New DIS_PKT.DOS which resolves incompatability issue with NE2000 NDIS drivers.

Version 5.0a (4-1-98)
Graphical User Interface.
Year 2000 compliant.
Smaller executable size.
Significant speed improvements.
Token Ring for Multicasting support (bridges not currently supported).
Ability to dump an image from a Multicasting client.
Multicasting supports image file partitions.
Improved NDIS Packet Driver Shim for Multicasting.
Improved disk geometry detection.
Improved handling of bad sectors on FAT partitions.
Fixes spanning naming bug present in 4.1a.
Fixes Image All bug present in 4.1a (previously did not copy the MBR with the -ia switch).

Version 4.1a (3-11-98)
HP DAT fix. Tape support now works with all known SCSI tapes.
Tape logic now detects and responds to invalid media such as tape cleaning.
-TAPESPEED=x switch where x is 0-F. 0 is default and 1 - F indicate increased speeds.
-TAPEUNBUFFERED, -TAPEBUFFERED and -TAPESAFE switches for use on old DATs with unreliable tapes.
-PWD switch to enable password protection of image files (10 characters max). The syntax for usage is:
 GHOST.EXE -PWD=password when creating or loading images.
 GHOST.EXE -PWD to be prompted for a password when creating an image file.
Multicast server now has more advanced capabilities (transmits on client connections and scheduling).
The Windows multicast server can now be controlled via command-line options.
Multiple copies if the Windows multicast server can be run simultaneously on a single computer.
The Multicast server now indicates the status of each connected client.
When running on a machine with multiple network interfaces, the Windows Multicast server will now determine automatically which interface(s) to use.
-JS=n switch to increase the hops required to contact a Multicast server (default is 10).
-FATLIMIT switch prevents GHOST from resizing FAT partitions beyond 2Gb under any circumstances.
Fixed potential infinite loop when an unknown error occurred during writing operation.
Fixed spanning bug where spanned names were not incremented correctly.

Version 4.0d (2-17-98)
Addresses a problem where multicasting caused "Connection reset by server".
Fixes a problem which caused a multicasting session to hang.

Version 4.0c (2-11-98)
Fixed 15010 and 15050 errors associated with EA DATA. SF files.
Fixed the diagnostic message "Unknown FAT32 code".

Version 4.0b (2-9-98)
-CRC32 switch to extract and compare file lists from images. (See switches.txt)
Indexes created for use by Unveil are more robust.
Fragmented packets sometimes caused GPFs while multicasting.
Buffer space increased to improve performance over networks where fragmented packets are common.
Fixed error "Network is unreachable". (The GATEWAY entry in WATTCP.CFG was ignored)
BOOTP and DHCP servers which send shorter than normal packets are no longer ignored.

Version 4.0a (12-3-97)
Multicasting has been added.
Protected mode version, GHOST now uses much less conventional memory.
Dump files are CRC checked to detect any corruption.
-F12 switch allows resizing of Fat 12 partitions when the -CLONE switch is used.
-BATCH switch prevents Abort messages waiting for user acknowledgement.
-CRCIGNORE switch allows restoring of dump files that contain some corrupted files.
-AUTONAME switch autonames spanned dump files.
GHOST command line arguments can be read from a file, using the syntax GHOST @argument.fil.
Added SCSI tape support.
Added a dump file dialog box. The switch -NOFILE turns it off.
Disk to Disk and Dump to Disk now run under Windows-95, but at a speed penalty.
The "Progress" screen can be displayed in different languages.
Fixes for the following aborts: 10220, 12078, 15004, 19010, 25002, 25003, 25009.
When a GHOST operation spans midnight, the elapsed time no longer shows a negative value.
Compressed files and volumes on NTFS are now handled correctly.
Dual Boot NT and Windows95 PC's were occasionally not cloned correctly.
GHOST was reporting one fewer cylinders than fdisk in some circumstances.

New compression methods have been added. You now get a choice between no compression of a dump file, fast compression, or high compression. Dump files using the previous compression method are still supported.
The fast compression is much faster than the previous method, but the compression is not quite as good. The high compression is slightly faster than the old method and compresses more than it.
From the command line, -Z or -Z1 selects fast compression. -Z2 selects high compression. -Z3 to -Z9 select even higher compression but for most people the speed penalty make this an unattractive option.

Version 3.1d (8-28-97)
Fixed NTFS bugs associated with attribute data errors (25002 and 25010).
Fixed 12075 RawIO: Cylinder > max cyl error.
Spanning now works over NetBIOS and LPT.
Internal re-organization of code and data.
Several cosmetic changes.

Version 3.1c (7-29-97)
Spanning of media such as ZIP and JAZ drives.
Image file splitting (see SPLIT=x below).
Fixed 15040 and 15044 malloc errors.
Fixed LPT and NetBIOS connection problems.
Fixed 15004 Boot Record Expected error.
Image file creation "fingerprinting" of hard drive to see if the drive has been previously cloned via GHOST.
Other various code tweaking.
-SZEx parameter for controlling partition sizes in batch mode (see ghost.doc for further explanation of this feature).
-SPLIT=x parameter to split image file into x megabyte chunks. (SPLIT=100 would create 100 mb chunks).
-QUIET switch for quiet mode (no status screen or user intervention).

Version 3.1a (6-26-97)
NTFS resizing.
Selective partitions.
Additional Compaq fixes. 

Version 2.22 (4-24-97)
MBR written first instead of last.
~ is now a valid character in an image filename.
Fix bug in that occasionally a FAT32 partition was not bootable.
Now ignores cluster errors if at end of file.
Added menu option to continue if not enough room on destination drive. Batch mode uses -OR switch.
Extended INT13 support.
CTRL-C will now abort a GHOST transfer.

Version 2.21 (4-14-97)
Better FAT32 support.

Version 2.20 (4-10-97)
Internal coding changes.
Fix bug when GHOST reports "Abort(19230,"Clustersize > 32K and EA DATA. SF");"

Version 2.19 (4-4-97)
Better FAT12 support.
Partition sizes calculated better.

Version 2.18 (3-26-97)
Improved space calculation for FAT12 partitions.
Fix partition start calculations to overcome occasional negative free space bug.
Fixed minor bug for ENV file switches.
Fixes a bug with -NBM (NetBios in batch mode).

Version 2.17 (3-12-97)
Added -LPM and -LPS to support batch mode LPT port transfers.
Added -E switch to overcome EA DATA. SF problems.
Added option to check integrity of disk image files.
Added Commercial license support.

Version 2.15
Fix divide by zero bug when trying to GHOST unFORMATed partitions.
Fixed a bug that didn't allow GHOST to exit properly in batch mode.

Version 2.14 (2-27-97)
Added 64K clustersize support for NT, or if -F64 switch is used.
Added 30 day limit for image files for GHOST evaluation copy.

Version 2.13 skipped for superstitious reasons. ;-)

Version 2.12 (2-18-97)
Display/Security features added for new suppliers.

Version 2.11 (2-17-97)
Important: ANY FAT32 SYSTEMS GENERATED BY GHOST 2.09 SHOULD BE RE-DONE. 
Corrected a file-corruption bug for FAT32 systems which was introduced in version 2.09. FAT tables were not allocated 
enough room, consequently as the amount of data in the FAT32 partitions grew the partition became corrupt.

Version 2.10 (2-10-97)
Correcteded problem in that GHOST was aborting with error 19090 when trying to dump or clone some FAT32 systems.

Version 2.09 (2-6-97)
Corrected OS/2 boot manager bug in that sometimes OS/2 failed to boot after cloning.
Allows GHOST option of continuing even if source disk contains bad blocks. The switch -FRO tells GHOST to continue 
anyway, otherwise it will prompt user.
Added support for FAT16 partitions which are LBA mapped (type 'E'). Add support for extended partitions which are LBA 
mapped (type 'F').
Added switch (-FDC) so that GHOST only checks for a dongle if switch is set. This is because the dongle check routine was 
interfering with the LPT1 port and upsetting computers using Zircom adapters.

Version 2.08 (2-3-97)
Fixed another bug in that under certain conditions NT 4.0 would not boot after a GHOST transfer. Message was: "BOOT: 
Couldn't find NTLDR, Please insert another disk".

Version 2.07 (1-22-97)
Added special logic so that GHOST can copy Compaq diagnostic partitions (Note: Image files need to be recreated).
Fixed bug in that NT 4.0 was not booting after a GHOST transfer.

Version 2.06 (1-20-97)
Fixed bug in which when GHOST was loading from a disk image file, it occasionally reported that the disk image file was 
corrupt, when it was not corrupt.

Version 2.05 (1-16-97)
Fixed bug where GHOST was prompting to compress an image file, even when run in batch mode.

Version 2.04
Fixed bug where GHOST was aborting when loading from a compressed image file an OS/2 FAT16 partition - GHOST was 
not handling the extended attributes file (EA DATA. SF).

Version 2.03
Supports FAT32 and FAT16.
Supports compression of image files.
New batch switch -Z to compress an image file.
GHOST now works with "System Commander".

*** End of List ***